%define lib_major 0
%define libname %mklibname gnome-keyring %{lib_major}
%define libnamedev %mklibname -d gnome-keyring
%define gir_major	1.0

Summary: Keyring library for the GNOME desktop
Name: libgnome-keyring
Version: 3.12.0
Release: %mkrel 4
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
URL: http://www.gnome.org/
License: LGPLv2+
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
#-----------------------------------------
BuildRequires: eggdbus-devel
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: libtool
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gcrypt11
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gpg-error-devel
#-----------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package i18n
Group: System/Libraries
Summary: Localization data files for %name
%description i18n
This package contains the translations for %name.

%package -n %{libname}
Group: System/Libraries
Summary: Library for integration with the gnome keyring system
Requires: gnome-keyring
Requires: %name-i18n >= %version-%release
Provides: libgnome-keyring0 
Provides: libgnome-keyring
Provides: gir1.2-gnomekeyring-1.0

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%package -n %{libnamedev}
Group: Development/Libraries
Summary: Library for integration with the gnome keyring system
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %name 0

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%prep
%setup -q

%build
%configure2_5x  --disable-static --enable-introspection=yes
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name '*.la' | xargs rm

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files i18n -f %name.lang


%files -n %{libname}
%doc README NEWS
%defattr(-,root,root)
%{_libdir}/libgnome-keyring.so.%{lib_major}*
%{_libdir}/girepository-1.0/GnomeKeyring-1.0.typelib

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/libgnome-keyring.so
%dir %{_includedir}/gnome-keyring-1/
%{_includedir}/gnome-keyring-1/*.h
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%_datadir/gtk-doc/html/gnome-keyring
%{_datadir}/gir-1.0/GnomeKeyring-%{gir_major}.gir
%{_datadir}/vala/*

%changelog
* Thu Dec 01 2016 adrianomorselli <adrianomorselli> 3.12.0-4uplos2016
- rebuild

* Thu Jul 14 2016 bb <bb> 3.12.0-4pclos2016
- add provides libgnome-keyring

* Wed Mar 30 2016 bb <bb> 3.12.0-3pclos2016
- update for n1 rpm package install

* Wed Oct 14 2015 bb <bb> 3.12.0-2pclos2015
- rebuild for updates

* Fri Oct 02 2015 bb <bb> 3.12.0-1pclos2015
- update

* Mon Jan 13 2014 bb <bb> 3.10.1-1pclos2013
- update

